# Copyright (C) 2024 Manuel Bustillo

require 'swagger_helper'

RSpec.describe 'captcha', type: :request do
  path '/captcha' do

    post('create a CAPTCHA challenge') do
      tags 'CAPTCHA'
      consumes 'application/json'
      produces 'application/json'
      
      response(201, 'created') do
        schema type: :object,
        required: %i[id], 
        properties: {
          id: { type: :string, format: :uuid },
          media_url: { type: :string, format: :uri },
        }
        xit
      end
    end
  end
end
